curl -X POST "https://api.tabsglobal.co/v1/wallets/crypto-address" \
-H "Authorization: Bearer sk_live_..." \
-H "Content-Type: application/json" \
-d '{
"network": "TRON"
}'
const response = await fetch("https://api.tabsglobal.co/v1/wallets/crypto-address", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.TABS_SECRET_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({ network: "TRON" }),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://api.tabsglobal.co/v1/wallets/crypto-address",
headers={
"Authorization": f"Bearer {API_KEY}",
"Content-Type": "application/json",
},
json={"network": "TRON"},
)
print(response.json())
{
"network": "TRON",
"asset": "USDT",
"address": "TLyqzVGLV1nmKBWcDqGzBfZpTXWp4Dk9gM",
"createdAt": "2026-09-21T01:15:00.000Z"
}
Wallets API
Generate Crypto Address
Generate or retrieve a dedicated multi-chain cryptocurrency deposit address.
POST
/
v1
/
wallets
/
crypto-address
curl -X POST "https://api.tabsglobal.co/v1/wallets/crypto-address" \
-H "Authorization: Bearer sk_live_..." \
-H "Content-Type: application/json" \
-d '{
"network": "TRON"
}'
const response = await fetch("https://api.tabsglobal.co/v1/wallets/crypto-address", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.TABS_SECRET_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({ network: "TRON" }),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://api.tabsglobal.co/v1/wallets/crypto-address",
headers={
"Authorization": f"Bearer {API_KEY}",
"Content-Type": "application/json",
},
json={"network": "TRON"},
)
print(response.json())
{
"network": "TRON",
"asset": "USDT",
"address": "TLyqzVGLV1nmKBWcDqGzBfZpTXWp4Dk9gM",
"createdAt": "2026-09-21T01:15:00.000Z"
}
Generates or fetches the merchant’s dedicated cryptocurrency deposit address for the specified blockchain network.
Scopes required
wallets:write or *
Headers
string
required
Bearer API secret key formatted as
Bearer sk_live_... or Bearer sk_test_....Body
string
required
The target blockchain network:
TRON, ETH, SOL, POLYGON, BASE, or ARBITRUM.Response
string
The requested network identifier.
string
The token asset standard (e.g.
USDT).string
The multi-chain deposit address.
string
ISO timestamp when the address was allocated.
curl -X POST "https://api.tabsglobal.co/v1/wallets/crypto-address" \
-H "Authorization: Bearer sk_live_..." \
-H "Content-Type: application/json" \
-d '{
"network": "TRON"
}'
const response = await fetch("https://api.tabsglobal.co/v1/wallets/crypto-address", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.TABS_SECRET_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({ network: "TRON" }),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://api.tabsglobal.co/v1/wallets/crypto-address",
headers={
"Authorization": f"Bearer {API_KEY}",
"Content-Type": "application/json",
},
json={"network": "TRON"},
)
print(response.json())
{
"network": "TRON",
"asset": "USDT",
"address": "TLyqzVGLV1nmKBWcDqGzBfZpTXWp4Dk9gM",
"createdAt": "2026-09-21T01:15:00.000Z"
}
